\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Qt Graphics View Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Qt::TriangulationGraphicsItem< T > Class Template Reference
Graphics Item Classes

`#include <CGAL/Qt/TriangulationGraphicsItem.h>`

## Inherits from

CGAL::Qt::GraphicsItem.

Inherited by CGAL::Qt::ConstrainedTriangulationGraphicsItem< CT >.

## Definition

An object of type `TriangulationGraphicsItem` is a graphics item that encapsulates a 2D triangulation.

Template Parameters

  T | must be a 2D triangulation class.

## Creation
| TriangulationGraphicsItem (T *t)
| Constructs a graphics item for a triangulation pointed by `t`.

## Operations
QPen | verticesPen ()() const
| Returns the pen used to draw vertices.
void | setVerticesPen ()(const QPen &p)
| Sets the pen used to draw vertices.
QPen | edgesPen ()() const
| Returns the pen used to draw edges.
void | setEdgesPen ()(const QPen &p)
| Sets the pen used to draw edges.
bool | visibleVertices ()
| Returns `true`, iff vertices are drawn.
void | setVisibleVertices (bool b)
| Sets the property.
bool | visibleEdges ()
| Returns `true`, iff edges are drawn.
void | setVisibleEdges (bool b)
| Sets the property.

## Additional Inherited Members
Public Member Functions inherited from CGAL::Qt::GraphicsItem
virtual void | modelChanged ()
| This slot must be provided by derived classes.